Page MenuHomePhabricator

DHCP routing issue with civi2001
Closed, ResolvedPublic

Description

It looks like the dhcp relay is misrouting requests from the new civi2001 server. The symptom is that the dhcp server sees the dhcpdiscover request coming from 10.195.0.1 rather than 10.195.0.33. Here's a dhcpdiscover request from a host that works correctly in the same vlan (frack-fundraising-codfw):

DHCPDISCOVER from 4c:d9:8f:a0:19:aa via 10.195.0.33

Here's the one from civi2001:

DHCPDISCOVER from 4c:d9:8f:aa:77:b4 via 10.195.0.1: network 10.195.0.0/27: no free leases

Papaul double-checked and the interfaces are in frack-fundraising-codfw as they should be. I confirmed the dhcp configuration and tested virtualbox, with the DHCP request routed via 10.195.0.33 it responds correctly.

Event Timeline

Jgreen created this task.Mar 3 2020, 7:00 PM
Restricted Application added a project: Operations. · View Herald TranscriptMar 3 2020, 7:00 PM
Jgreen changed the task status from Open to Stalled.Mar 3 2020, 8:33 PM
Jgreen moved this task from Triage to Stalled on the fundraising-tech-ops board.
Jgreen moved this task from Stalled to Watching on the fundraising-tech-ops board.

Configuration looks good on the switch and router. This will need to be live troubleshooted, when the client is sending DHCP requests.

First step is to run
show ethernet-switching table interface ge-0/0/14
and
show ethernet-switching table | match 4c:d9:8f:aa:77:b4 on the switch to make sure the host is going in the proper vlan.

Then:
show arp no-resolve | match 4c:d9:8f:aa:77:b4
On the router for the same thing.

A tcpdump capture might be useful as well on the DHCP server (10.195.0.74).

`

ayounsi assigned this task to Papaul.Mar 4 2020, 3:56 PM

At bootup that MAC shows up on ge-1/0/9

ayounsi@fasw-c-codfw> show ethernet-switching table | match 4c:d9:8f:aa:77:b4 
    frack-payments-codfw 4c:d9:8f:aa:77:b4  D             -   ge-1/0/9.0       
ayounsi@fasw-c-codfw> show interfaces ge-1/0/9      
Physical interface: ge-1/0/9, Enabled, Physical link is Up
  Description: payments2002-a:eth1
  Last flapped   : 2020-03-04 15:51:18 UTC (00:01:20 ago)

So maybe cabling issue?

Papaul added a comment.Mar 4 2020, 7:33 PM

@ayounsi thanks for the troubleshooting I will look into this tomorrow.

Papaul triaged this task as Medium priority.Mar 4 2020, 7:34 PM
Papaul closed this task as Resolved.Mar 5 2020, 4:40 PM

This is fixed. eth0 cable was connected to payments2002 eth1

Jgreen moved this task from Watching to Done on the fundraising-tech-ops board.Jun 15 2020, 2:55 PM